Bug 29218 - "hidden" class is not working for DT if column visibility button is used
Summary: "hidden" class is not working for DT if column visibility button is used
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 28349
Blocks: 28859
  Show dependency treegraph
 
Reported: 2021-10-13 08:20 UTC by Jonathan Druart
Modified: 2022-06-06 20:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05


Attachments
Bug 29218: Rename .hidden class for DT visibility (5.22 KB, patch)
2021-10-13 08:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29218: Rename .hidden class for DT visibility (5.28 KB, patch)
2021-10-28 08:26 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-10-13 08:20:54 UTC
.hidden get the CSS that interferes with DT behaviour

.hidden {
    display: none !important;
}
Comment 1 Jonathan Druart 2021-10-13 08:23:21 UTC
Created attachment 126145 [details] [review]
Bug 29218: Rename .hidden class for DT visibility

.hidden get the CSS that interferes with DT behaviour

.hidden {
    display: none !important;
}

Test this patch with bug 28859.
Comment 2 Martin Renvoize 2021-10-28 08:26:30 UTC
Created attachment 127029 [details] [review]
Bug 29218: Rename .hidden class for DT visibility

.hidden get the CSS that interferes with DT behaviour

.hidden {
    display: none !important;
}

Test this patch with bug 28859.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2021-10-28 08:29:43 UTC
No further cases of 'hidden' classes found on DT the fields.  Works as expected and is a clean fix.

Going straight for PQA
Comment 4 Jonathan Druart 2021-10-28 10:29:57 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-29 15:52:40 UTC
Pushed to 21.05.x for 21.05.05
Comment 6 Fridolin Somers 2021-11-10 23:50:03 UTC
(In reply to Kyle M Hall from comment #5)
> Pushed to 21.05.x for 21.05.05

Oh, depends on 28349 that is not in 21.05.x
Is it still correct to backport it ?
Comment 7 Jonathan Druart 2021-11-15 08:20:29 UTC
(In reply to Fridolin Somers from comment #6)
> (In reply to Kyle M Hall from comment #5)
> > Pushed to 21.05.x for 21.05.05
> 
> Oh, depends on 28349 that is not in 21.05.x
> Is it still correct to backport it ?

Yes, but you should backport bug 28349.